# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetObjectClass

Function

Returns the class of an Object.

Syntax
`
#include <dx/dx.h>
`

Class DXGetObjectClass(Object o)

Functional Details

The class of Object `o` is one of the following:

    CLASS_ARRAY               CLASS_INTERPOLATOR         CLASS_PRODUCTARRAY
    CLASS_CAMERA              CLASS_LIGHT                CLASS_REGULARRAY
    CLASS_CLIPPED             CLASS_MESHARRAY            CLASS_SCREEN
    CLASS_COMPOSITEFIELD      CLASS_MULTIGRID            CLASS_SERIES
    CLASS_CONSTANTARRAY       CLASS_OBJECT               CLASS_STRING
    CLASS_FIELD               CLASS_PATHARRAY            CLASS_XFORM
    CLASS_GROUP               CLASS_PRIVATE

All valid Objects have a class that identifies what kind of information the Object contains and what Data Explorer library functions can be called using this Object.

For Objects of `CLASS_GROUP` and `CLASS_ARRAY`, they are further categorized into subclasses. See the `DXGetGroupClass` and `DXGetArrayClass` routines for additional details.

Return Value

Returns the class of an Object. Invalid Objects return `CLASS_MIN`, `CLASS_MAX`, or `CLASS_DELETED`.

See Also

`DXGetArrayClass, DXGetGroupClass`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]